> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weav.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update section

> Requires a token with the external-api:write ability. id string required Format: uuid . name string slug string | null position integer | null cURL JavaScript Python PHP cURL JavaScript Python PHP 200 OK 200 OK 422 Unprocessable Content 404 Not Found id string Format: uuid . name string slug…

```http
PUT https://api.weav.com/v1/kb-sections/{id}
```

Requires a token with the `external-api:write` ability.

## Path parameters

<ParamField path="id" type="string" required>
Format: `uuid`.
</ParamField>

## Body

<ParamField body="name" type="string">

</ParamField>

<ParamField body="slug" type="string | null">

</ParamField>

<ParamField body="position" type="integer | null">

</ParamField>

## Request

<CodeGroup>

```bash cURL
curl --request PUT \
  --url 'https://api.weav.com/v1/kb-sections/{id}' \
  --header "Authorization: Bearer ${WEAV_API_TOKEN}" \
  --header 'Content-Type: application/json' \
  --data '{
  "name": "string",
  "slug": "string",
  "position": 1
}'
```

```js JavaScript
const body = {
  "name": "string",
  "slug": "string",
  "position": 1
};
const response = await fetch("https://api.weav.com/v1/kb-sections/{id}", {
  method: "PUT",
  headers: {
    Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
    'Content-Type': 'application/json'
  },
  body: JSON.stringify(body)
});
console.log(await response.json());
```

```python Python
import os
import requests

headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"name": "string", "slug": "string", "position": 1}
response = requests.put("https://api.weav.com/v1/kb-sections/{id}", headers=headers, json=body)
print(response.json())
```

```php PHP
use GuzzleHttp\Client;

$client = new Client();
$response = $client->request('PUT', 'https://api.weav.com/v1/kb-sections/{id}', [
    'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
    'json' => array (
  'name' => 'string',
  'slug' => 'string',
  'position' => 1,
),
]);
echo $response->getBody();
```

</CodeGroup>

## Response

<CodeGroup>

```json 200 OK
{
    "id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
    "name": "string",
    "slug": "string",
    "position": 0,
    "created_at": "2026-01-01T00:00:00Z",
    "updated_at": "2026-01-01T00:00:00Z"
}
```

</CodeGroup>

- `422` Unprocessable Content
- `404` Not Found

## Response fields

<ParamField body="id" type="string">
Format: `uuid`.
</ParamField>

<ParamField body="name" type="string">

</ParamField>

<ParamField body="slug" type="string">

</ParamField>

<ParamField body="position" type="integer | null">

</ParamField>

<ParamField body="created_at" type="string | null">
Format: `date-time`.
</ParamField>

<ParamField body="updated_at" type="string | null">
Format: `date-time`.
</ParamField>

---

This knowledge base is built and hosted on [Weav](https://weav.com).
